body,
h1 {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.fundo-estabulo {
    background-image: url('estabulo.webp');
    background-size: 100vw 100vh;
    background-repeat: no-repeat;
    background-position: center;
    background-attachment: fixed;
    height: 100vh;
    width: 100vw;
    display: flex;
    flex-direction: column;
}

/*Voltar*/

.container-voltar {
    position: fixed;
    top: 3vh;
    left: 3vw;
    z-index: 100;
}

.texto-voltar {
    display: inline-block;
    text-decoration: none;

    color: #FDD134;
    text-shadow: 2px 2px 0 #000;
    font-family: 'Fontdiner Swanky', serif;
    font-size: 3rem;
    font-weight: bold;
    line-height: 1;

    cursor: pointer;
    transition: transform 0.2s ease, color 0.2s ease;
}

.texto-voltar:hover,
.texto-voltar:focus {
    transform: scale(1.1);
    color: #fff;
    outline: none;
}

/*Opções*/

.container-config {
    position: fixed;
    top: 3vh;
    right: 3vw;
    z-index: 100;
}

/*Título*/

.titulo {
    text-align: center;
    color: #FDD134;
    text-shadow: 4px 4px 0 #000;
    font-family: 'Fontdiner Swanky', serif;
    font-weight: bold;
    font-size: 4rem;
    padding-top: 5rem;
    position: absolute;
    width: 100%;
}

/*Cavalos*/

.competidores {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: flex-end;
}

.seletor {
    display: flex;
    gap: 3vw;
    padding: 2rem;
}

.botao-cavalo {
    border: none;
    background-color: transparent;
    border-radius: 12px;

    width: 220px;
    height: 220px;

    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;

    cursor: pointer;
    transition: transform 0.2s ease, border-color 0.2s ease;

    flex-shrink: 0;
}

.botao-cavalo img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
}

.botao-cavalo:hover,
.botao-cavalo:focus {
    transform: scale(1.2);
    z-index: 10;
}

.botao-cavalo::before {
    content: '\27B8';

    position: absolute;
    top: -60px;
    font-size: 3rem;
    color: #FDD134;

    text-shadow: 3px -2px 0 #000;


    opacity: 0;
    transition: opacity 0.2s ease, transform 0.2s ease;
}

.botao-cavalo:hover::before,
.botao-cavalo:focus::before {
    opacity: 1;
    transform: rotate(90deg) translateY(-10px);
}